> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Feature Flag



## OpenAPI

````yaml openapi/feature-flags-management.openapi.yaml DELETE /projects/{project_id}/workspaces/{workspace_id}/feature-flags/{flag_id}
openapi: 3.1.0
info:
  title: Feature Flags Management API
  description: >-
    Use the Feature Flags Management API to create, update, delete, and manage
    feature flags.
  contact:
    url: https://mixpanel.com/get-support
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
servers:
  - url: https://{regionAndDomain}.com/api/app
    description: Mixpanel's application API server.
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
tags:
  - name: Flag Management
    description: Create, update, delete, and manage feature flags
paths:
  /projects/{project_id}/workspaces/{workspace_id}/feature-flags/{flag_id}:
    parameters:
      - $ref: '#/components/parameters/ProjectId'
      - $ref: '#/components/parameters/WorkspaceId'
      - $ref: '#/components/parameters/FlagId'
    delete:
      tags:
        - Flag Management
      summary: Delete Feature Flag
      operationId: delete-feature-flag
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteFeatureFlagResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Details about the error that occurred
                  status:
                    type: string
                    enum:
                      - error
components:
  parameters:
    ProjectId:
      name: project_id
      in: path
      schema:
        type: integer
      required: true
    WorkspaceId:
      name: workspace_id
      in: path
      schema:
        type: integer
      required: true
    FlagId:
      name: flag_id
      in: path
      schema:
        type: string
      required: true
  schemas:
    DeleteFeatureFlagResponse:
      anyOf:
        - $ref: '#/components/schemas/DeleteFeatureFlagApiResponse'
        - $ref: '#/components/schemas/ManagementApiErrorResponse'
    DeleteFeatureFlagApiResponse:
      additionalProperties: false
      properties:
        status:
          const: ok
          title: ''
          type: string
        results:
          additionalProperties: true
          title: ''
          type: object
      required:
        - status
        - results
      title: DeleteFeatureFlagApiResponse
      type: object
    ManagementApiErrorResponse:
      additionalProperties: false
      properties:
        status:
          const: error
          title: ''
          type: string
        type:
          title: ''
          type: string
        error:
          title: ''
          anyOf:
            - type: string
            - type: object
      required:
        - status
        - type
        - error
      title: ManagementApiErrorResponse
      type: object
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account

````